PROJ_NAME =test
CC=arm-none-eabi-gcc
SRCS=uart_f1.o main_uart.o fun.o
# REPERTOIRE=/home/jmfriedt/sat/libopencm3
REPERTOIRE=/home/jmfriedt/libopencm3

DRAPEAU =-Wall
DRAPEAU +=-mthumb -mcpu=cortex-m3 -DSTM32F1
DRAPEAU +=--static  -Tstm32f1.ld -nostartfiles
DRAPEAU +=-lopencm3_stm32f1 -I$(REPERTOIRE)/include
LDFLAGS = -L$(REPERTOIRE)/lib

all:$(PROJ_NAME).bin

$(PROJ_NAME).bin: $(PROJ_NAME).elf
	arm-none-eabi-objcopy -Obinary $(PROJ_NAME).elf $(PROJ_NAME).bin

$(PROJ_NAME).elf: $(SRCS)
	$(CC) $(DRAPEAU) -o $(PROJ_NAME).elf $(SRCS) $(LDFLAGS) -lopencm3_stm32f1

uart_f1.o: uart_f1.c
	$(CC) $(DRAPEAU) -c uart_f1.c

main_uart.o: main_uart.c
	$(CC) $(DRAPEAU) -c main_uart.c
	
fun.o: fun.c
	$(CC) $(DRAPEAU) -c fun.c

clean:
	rm *.o $(PROJ_NAME).elf $(PROJ_NAME).bin

flash: $(PROJ_NAME).bin
	stm32flash.sh -w $(PROJ_NAME).bin /dev/ttyUSB1
	# st-flash write $(PROJ_NAME).bin 0x8000000
